name: Pytest
run-name: PyTest
on: [push]

jobs:
  Explore-Gitea-Actions:
    runs-on: ubuntu-latest
    steps:
      - run: pipx install poetry && sudo apt-get update &&sudo apt-get install python3-dev -y
      - run: git clone https://www.alexselimov.com/git/aselimov/code_rag.git && cd code_rag && git checkout ${{ gitea.ref_name }}
      - run: cd code_rag && /root/.local/bin/poetry install
      - run: cd code_rag && /root/.local/bin/poetry run pytest -v
